## RetroModuleQuery RetroModuleQuery — An object to query the available Libretro cores |

## Functions

RetroModuleQuery * | retro_module_query_new ()
RetroModuleIterator * | retro_module_query_iterator ()

## Types and Values

#define | RETRO_TYPE_MODULE_QUERY
| RetroModuleQuery

## Object Hierarchy

        GObject
        ╰── RetroModuleQuery

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_module_query_new ()

    RetroModuleQuery *
    retro_module_query_new (gboolean recursive);

Creates a new RetroModuleQuery.

#### Parameters

recursive | whether to run the query in sub-directories |

#### Returns

a new RetroModuleQuery.

[transfer full]

### retro_module_query_iterator ()

    RetroModuleIterator *
    retro_module_query_iterator (RetroModuleQuery *self);

Creates a new RetroModuleIterator.

#### Parameters

self | a RetroModuleQuery |

#### Returns

a new RetroModuleIterator.

[transfer full]

## Types and Values

### RETRO_TYPE_MODULE_QUERY

    #define RETRO_TYPE_MODULE_QUERY (retro_module_query_get_type())

### RetroModuleQuery

    typedef struct _RetroModuleQuery RetroModuleQuery;

## See Also

RetroCoreDescriptor, RetroModuleIterator